# PowerWaterModels.jl 
[![Build Status](https://github.com/lanl-ansi/PowerWaterModels.jl/workflows/CI/badge.svg?branch=master)](https://github.com/lanl-ansi/PowerWaterModels.jl/actions?query=workflow%3ACI)
[![codecov](https://codecov.io/gh/lanl-ansi/PowerWaterModels.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/lanl-ansi/PowerWaterModels.jl)
[![](https://img.shields.io/badge/docs-stable-blue.svg)](https://lanl-ansi.github.io/PowerWaterModels.jl/stable)
[![](https://img.shields.io/badge/docs-latest-blue.svg)](https://lanl-ansi.github.io/PowerWaterModels.jl/dev)

PowerWaterModels.jl is a Julia/JuMP package for joint optimization of power and water distribution networks.

**Core Problem Specifications**
* Power-Water Flow (pwf)
* Optimal Power-Water Flow (opwf)

## Documentation
The package [documentation](https://lanl-ansi.github.io/PowerWaterModels.jl/stable/) includes a [quick start guide](https://lanl-ansi.github.io/PowerWaterModels.jl/stable/quickguide).

## Development
Community-driven development and enhancement of PowerWaterModels is welcomed and encouraged.
Please feel free to fork this repository and share your contributions to the master branch with a pull request.
That said, it is important to keep in mind the code quality requirements and scope of PowerWaterModels before preparing a contribution.
See [CONTRIBUTING.md](https://github.com/lanl-ansi/PowerWaterModels.jl/blob/master/CONTRIBUTING.md) for code contribution guidelines.

## Acknowledgments
This work is currently supported by the Advanced Grid Modeling Program within the U.S. Department of Energy under the project "Coordinated Planning and Operation of Water and Power Infrastructures for Increased Resilience and Reliability."
It is also supported by the [Advanced Network Science Initiative](https://lanl-ansi.github.io) at Los Alamos National Laboratory.

## License
The code is provided under a [BSD license](https://github.com/lanl-ansi/PowerWaterModels.jl/blob/master/LICENSE.md) as part of the Multi-Infrastructure Control and Optimization Toolkit (MICOT), LA-CC-13-108.
